local curScreen = Var "LoadingScreen"

return Def.BitmapText {
	Font = "Common Small",
	InitCommand=cmd(zoom,0.675;maxwidth,_screen.w / 0.675;strokecolor,Color.Black;SetTextureFiltering,false),
	CurrentSongChangedMessageCommand=cmd(playcommand,"Refresh"),
	RefreshCommand=function(self)
		local song = GAMESTATE:GetCurrentSong()
		
		local songText = ""
		
		if song then
			songText = song:GetDisplayFullTitle() .. " - " .. song:GetDisplayArtist()
		else
			songText = "???"
		end
		
		self:settext(songText)
		--self:playcommand( "On" )
	end
}